"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/text.tsx
var text_exports = {};
__export(text_exports, {
  CText: () => CText
});
module.exports = __toCommonJS(text_exports);
var import_vue = require("vue");
var import_utils = require("@chakra-ui/utils");
var import_vue_system = require("@chakra-ui/vue-system");
var import_vue_utils = require("@chakra-ui/vue-utils");
var import_vue2 = require("vue");
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue.isVNode)(s);
}
__name(_isSlot, "_isSlot");
var CText = (0, import_vue2.defineComponent)({
  name: "CText",
  props: {
    as: {
      type: [Object, String],
      default: "p"
    },
    align: import_vue_utils.SNAO,
    decoration: import_vue_utils.SNAO,
    casing: import_vue_utils.SNAO,
    ...import_vue_utils.vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = (0, import_vue2.computed)(() => (0, import_utils.filterUndefined)({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = (0, import_vue_system.useStyleConfig)("Text", themingProps);
    const aliasedProps = (0, import_vue2.computed)(() => (0, import_utils.filterUndefined)({
      textAlign: props.align,
      textDecoration: props.decoration,
      textTransform: props.casing
    }));
    return () => {
      return (0, import_vue.createVNode)(import_vue_system.chakra.p, (0, import_vue.mergeProps)({
        "__label": "text"
      }, aliasedProps.value, {
        "__css": styles.value
      }, attrs), _isSlot(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CText
});
